#!/bin/sh

DIR=$1
SEARCH=$2

if [ "$SEARCH" = "" ]; then
	DIR=""
	SEARCH=$1
fi

SEARCH=$(echo $SEARCH | sed -e 's/\./\//g')

JAR_FILES=$(find $DIR -name '*.jar')

echo "Searching for '$SEARCH'"

for i in $JAR_FILES; do
	if [ -f $i ]; then
		RES=$(jar tf $i | grep $SEARCH)
		if [ ! "$RES" = "" ]; then
			echo $i:
			for j in $RES; do
				echo "--> $j"
			done
		fi
	fi
done
